Name:           perl-SVK
Version:        1.08
Release:        4%{?dist}
Summary:        A Distributed Version Control System
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/SVK/
Source0:        http://www.cpan.org/modules/by-authors/id/C/CL/CLKAO/SVK-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Algorithm::Annotate)
BuildRequires:  perl(Algorithm::Diff)
BuildRequires:  perl(Class::Autouse) >= 1.15
BuildRequires:  perl(Clone)
BuildRequires:  perl(Data::Hierarchy) >= 0.21
BuildRequires:  perl(Date::Parse) >= 2.27
BuildRequires:  perl(File::Type)
BuildRequires:  perl(IO::Digest)
BuildRequires:  perl(PerlIO::eol) >= 0.13
BuildRequires:  perl(PerlIO::via::dynamic) >= 0.11
BuildRequires:  perl(PerlIO::via::symlink) >= 0.02
BuildRequires:  perl(Pod::Escapes)
BuildRequires:  perl(Pod::Simple)
BuildRequires:  perl(Regexp::Shellish)
BuildRequires:  perl(SVN::Mirror) >= 0.66
BuildRequires:  perl(SVN::Simple::Edit) >= 0.27
BuildRequires:  perl(URI)
BuildRequires:  perl(YAML) >= 0.38
BuildRequires:  perl(FreezeThaw)
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(Locale::Maketext::Lexicon)
BuildRequires:  perl(Locale::Maketext::Simple)
Requires:       perl(Algorithm::Diff)
Requires:       perl(Clone)
Requires:       perl(File::Type)
Requires:       perl(IO::Digest)
Requires:       perl(Pod::Escapes)
Requires:       perl(Pod::Simple)
Requires:       perl(Regexp::Shellish)
Requires:       perl(SVN::Simple::Edit) >= 0.27
Requires:       perl(URI)
Requires:       perl(SVN::Mirror)
Requires:       perl(Term::ReadKey)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:       perl(SVK::Version)

Source99:      SVK-filter-provides.sh
%global real_perl_provides %{__perl_provides}
%define __perl_provides %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)-filter-provides

%description
SVK is a decentralized version control system written in Perl. It uses
the Subversion filesystem but provides additional features:

    * Offline operations like checkin, log, merge.
    * Distributed branches.
    * Lightweight checkout copy management (no .svn directories).
    * Advanced merge algorithms, like star-merge and cherry picking.

For more information about the SVK project, visit http://svk.elixus.org/.

%prep
%setup -q -n SVK-%{version}

sed -e 's,@@PERL_PROV@@,%{real_perl_provides},' %{SOURCE99} > %{__perl_provides}
chmod +x %{__perl_provides}

%build
%{__perl} Makefile.PL --skipdeps INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%check
make test
chmod -R u+w t

%clean
rm -rf $RPM_BUILD_ROOT %{__perl_provides}

%files
%defattr(-,root,root,-)
%doc CHANGES README utils
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_bindir}/svk

%changelog
* Wed Aug  9 2006 Ian M. Burrell <ianburrell@gmail.com> - 1.08-4
- Add Term::ReadKey and SVN::Mirror requires

* Fri Jul  7 2006 Ian M. Burrell <ianburrell@gmail.com> - 1.08-2
- Remove contrib scripts
- Add filter provides to filter duplicate perl(SVK)

* Wed Jul  5 2006 Ian Burrell <ianburrell@gmail.com> - 1.08-1
- Update to 1.08
- Add build requires

* Tue Jul  4 2006 Ian Burrell <ianburrell@gmail.com> - 1.07-8
- Fix source URL

* Wed Jun 28 2006 Ian M. Burrell <ianburrell@gmail.com> - 1.07-7
- Cleanup duplicate requires

* Wed Jun 28 2006 Ian M. Burrell <ianburrell@gmail.com> - 1.07-6
- Add build requires

* Wed Jun 28 2006 Ian M. Burrell <ianburrell@gmail.com> - 1.07-5
- Add provides SVK::Version

* Wed Jun 28 2006 Ian M. Burrell <ianburrell@gmail.com> - 1.07-4
- Add option deps; remove autoinstall

* Thu Mar 30 2006 Ian Burrell <ianburrell@gmail.com> 1.07-1
- Specfile autogenerated by cpanspec 1.64.
